Bug Hunting Session
Bug 56665 - FORMATTING: Office Open XML page header rendering does not conform to ECMA-376 standard.
Summary: FORMATTING: Office Open XML page header rendering does not conform to ECMA-37...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2012-11-02 09:15 UTC by rfrey74
Modified: 2018-11-11 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A comparison of the first page header vs the default header. They render differently even though they are styled identically. (842.66 KB, image/png)
2012-11-02 09:15 UTC, rfrey74
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rfrey74 2012-11-02 09:15:36 UTC
Created attachment 69422 [details]
A comparison of the first page header vs the default header.  They render differently even though they are styled identically.

Problem description: 

I am writing and application that produces DOCX files using ECMA-376 3rd ed. standard. In the document final section properties (ECMA-376 Section 17.6.17), there can be more than one headerReference element (ECMA-376 Section 17.10.5): one for the first page, one for odd pages, and one for even pages. I specified a first and default (left) page reference.  I also specified that there shall be a title page using titlePg (ECMA-376 Section 17.10.6), so my document final section properties look like so:

<w:sectPr>
  <w:headerReference r:id="rId2" w:type="first" />
  <w:headerReference r:id="rId3" w:type="default" />
  <w:pgNumType w:fmt="decimal" />
  <w:pgMar w:bottom="1440" w:footer="0" w:gutter="0" w:header="0" w:left="1440" w:right="1440" w:top="1440" />
  <w:pgSz w:h="15840" w:w="12240" />
  <w:textDirection w:val="lr" />
  <w:titlePg w:val="1" />
  <w:type w:val="nextPage" />
</w:sectPr>

I have also styled my headers in the style part of the document to be vertically centered in the top margin of the page. The default header renders correctly, however, the first page header renders incorrectly.

Current behavior:

The title page, or first page, header is incorrectly displayed. See attached screen shots.

Expected behavior:

When multiple headers are specified in the document final section properties, they should both be displayed correctly.

Platform (if different from the browser): 

Win 7 Home
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.4 (KHTML, like Gecko) Chrome/22.0.1229.94 Safari/537.4
Comment 1 Robinson Tryon (qubit) 2013-10-10 13:45:33 UTC
Hi rfrey,

Thank you for your bug report, and apologies for not responding to you sooner. I'm not an expert in the particulars of the DOCX file format, but I'm cc'ing one of our developers who has more experience in this area.

It would be helpful if you could attach an example Writer DOCX file that demonstrates this problem (as you show in your screenshot). I suggest that you try downloading a current stable version of LibreOffice (https://www.libreoffice.org/download/) and use that to edit your example file. We've made a lot of progress since 3.5.6, and it's possible that the header rendering issue you're describing has been fixed.

Thanks!
Comment 2 QA Administrators 2014-05-17 00:33:41 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 3 QA Administrators 2014-06-01 20:29:37 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO